<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Root Config</title>
  <!--
    Remove this if you only support browsers that support async/await.
    This is needed by babel to share largeish helper code for compiling async/await in older
    browsers. More information at https://github.com/single-spa/create-single-spa/issues/112
  -->
  <script src="https://cdn.jsdelivr.net/npm/regenerator-runtime@0.13.5/runtime.min.js"></script>

  <!-- 
    This CSP allows any SSL-enabled host, but you should limit these directives further to increase your app's security.
    Learn more about CSP policies at https://content-security-policy.com/#directive
  -->
  <meta http-equiv="Content-Security-Policy" content="default-src 'self' https: localhost:*; script-src 'unsafe-inline' https: localhost:*; connect-src https: localhost:* ws://localhost:*; style-src 'unsafe-inline' https:; object-src 'none';">

  <meta name="importmap-type" content="systemjs-importmap" />
  <!-- If you wish to turn off import-map-overrides for specific environments (prod), uncomment the line below -->
  <!-- More info at https://github.com/joeldenning/import-map-overrides/blob/master/docs/configuration.md#domain-list -->
  <!-- <meta name="import-map-overrides-domains" content="denylist:prod.example.com" /> -->

  <!-- Shared dependencies go into this import map. Your shared dependencies must be of one of the following formats:

    1. System.register (preferred when possible) - https://github.com/systemjs/systemjs/blob/master/docs/system-register.md
    2. UMD - https://github.com/umdjs/umd
    3. Global variable

    More information about shared dependencies can be found at https://single-spa.js.org/docs/recommended-setup#sharing-with-import-maps.
  -->
  <script type="systemjs-importmap">
    {
      "imports": {
        "single-spa": "https://cdn.jsdelivr.net/npm/single-spa@5.5.5/lib/system/single-spa.min.js",
             "react": "https://cdn.jsdelivr.net/npm/react@16.13.1/umd/react.production.min.js",
         "react-dom": "https://cdn.jsdelivr.net/npm/react-dom@16.13.1/umd/react-dom.production.min.js",
              "mobx": "https://cdn.jsdelivr.net/npm/mobx@6.0.4/dist/mobx.esm.production.min.js",
        "mobx-react": "https://cdn.jsdelivr.net/npm/mobx-react@7.0.5/dist/mobxreact.esm.production.min.js"
      }
    }
  </script>
  <link rel="preload" href="https://cdn.jsdelivr.net/npm/single-spa@5.5.5/lib/system/single-spa.min.js" as="script">

  <!-- Add your organization's prod import map URL to this script's src  -->
  <!-- <script type="systemjs-importmap" src="/importmap.json"></script> -->

  <% if (isLocal) { %>
  // "@semweb/root-config": "//localhost:9000/semweb-root-config.js"
  <script type="systemjs-importmap">
    {
      "imports": {
                        "@semweb/root-config": "https://semwebdeploy.s3.amazonaws.com/holosparoot/0.0.1/semweb-root-config.js",
                      "@semwebsrv/holospaapp": "https://semwebdeploy.s3.amazonaws.com/holospaapp/0.0.1/semwebsrv-holospaapp.js",
             "@semwebsrv/holospakeycloakauth": "https://semwebdeploy.s3.amazonaws.com/holospakeycloakauth/0.0.2/semwebsrv-holospakeycloakauth.js",
               "@semwebsrv/holoservicebridge": "https://semwebdeploy.s3.amazonaws.com/holoservicebridge/0.0.1/semwebsrv-holoservicebridge.js",
          "@semwebsrv/holohelloworldmicroapp": "https://semwebdeploy.s3.amazonaws.com/holohelloworldmicroapp/0.0.1/semwebsrv-holohelloworldmicroapp.js",
            "@semwebsrv/holoexplorermicroapp": "https://semwebdeploy.s3.amazonaws.com/holoexplorermicroapp/0.0.1/semwebsrv-holoexplorermicroapp.js"
      }
    }
  </script>
  <% } else { %>
  <script type="systemjs-importmap">
    {
      "imports": {
                        "@semweb/root-config": "https://semwebdeploy.s3.amazonaws.com/holosparoot/0.0.1/semweb-root-config.js",
                      "@semwebsrv/holospaapp": "https://semwebdeploy.s3.amazonaws.com/holospaapp/0.0.1/semwebsrv-holospaapp.js",
             "@semwebsrv/holospakeycloakauth": "https://semwebdeploy.s3.amazonaws.com/holospakeycloakauth/0.0.2/semwebsrv-holospakeycloakauth.js",
               "@semwebsrv/holoservicebridge": "https://semwebdeploy.s3.amazonaws.com/holoservicebridge/0.0.1/semwebsrv-holoservicebridge.js",
          "@semwebsrv/holohelloworldmicroapp": "https://semwebdeploy.s3.amazonaws.com/holohelloworldmicroapp/0.0.1/semwebsrv-holohelloworldmicroapp.js",
            "@semwebsrv/holoexplorermicroapp": "https://semwebdeploy.s3.amazonaws.com/holoexplorermicroapp/0.0.1/semwebsrv-holoexplorermicroapp.js"
      }
    }
  </script>
  <% } %>

  <!--
    If you need to support Angular applications, uncomment the script tag below to ensure only one instance of ZoneJS is loaded
    Learn more about why at https://single-spa.js.org/docs/ecosystem-angular/#zonejs
  -->
  <!-- <script src="https://cdn.jsdelivr.net/npm/zone.js@0.10.3/dist/zone.min.js"></script> -->

  <% if (isLocal) { %>
  <script src="https://cdn.jsdelivr.net/npm/import-map-overrides@1.16.0/dist/import-map-overrides.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.4.0/dist/system.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.4.0/dist/extras/amd.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.4.0/dist/extras/named-exports.js"></script>
  <% } else { %>
  <script src="https://cdn.jsdelivr.net/npm/import-map-overrides@1.16.0/dist/import-map-overrides.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.4.0/dist/system.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.4.0/dist/extras/amd.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/systemjs@6.4.0/dist/extras/named-exports.min.js"></script>
  <% } %>
</head>
<body>
  <div id="single-spa-application:@semwebsrv/holospakeycloakauth"></div>
  <div id="single-spa-application:@semwebsrv/holospaapp"></div>
  <div>other stuff after auth</div>
  <script>
    System.import('@semweb/root-config');
  </script>
  <import-map-overrides-full show-when-local-storage="devtools" dev-libs></import-map-overrides-full>
  <div>After overrides</div>
</body>
</html>
